## org.eclipse.datatools.sqltools.plan
Interface IPlanService

public interface IPlanService

In order to support graphic execution plan when using EPV (SQL Execution Plan View), consumer must provide the plan parser and plan drawer, which are used to parse the raw plan data and draw graphic plan. If the graphic plan is tree-structure, the consumer can use `TreePlanDrawer` to draw the plan, in this case, they only need to implement `IPlanParser` to parse the execution plan into `TreeExecutionPlanDocument`

Author:
  Dafan Yang
See Also:
  `IPlanParser`, `IPlanDrawer`

Method Summary
`IPlanDrawer` `getPlanDrawer()` Returns the plan drawer.
`IPlanParser` `getPlanParser()` Returns the plan parser.

Method Detail

### getPlanParser

    public IPlanParser getPlanParser()

  Returns the plan parser. For one type of database, only one parser is supported.

  Returns:
    the parser

### getPlanDrawer

    public IPlanDrawer getPlanDrawer()

  Returns the plan drawer. The plan drawer is responsible for drawing the `IExecutionPlanDocument` obtained from `IPlanParser` on canvas.

  Returns:
    the plan drawer

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.